"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var HandleBars = require("handlebars");
var bot_model_1 = require("./bot-model");
var Dialog = /** @class */ (function () {
    function Dialog() {
    }
    Dialog.html = function (context) {
        return new Promise(function (resolve, reject) {
            var bot = new bot_model_1.BotModel(context.uid);
            fs.readFile(context.dir + "/success-dialog.html", 'utf-8', function (err, code) {
                if (err) {
                    return reject(err);
                }
                return bot.get().then(function (b) {
                    if (b) {
                        var template = HandleBars.compile(code);
                        context.title = b.name;
                        context.description = b.description;
                        context.uid = context.uid;
                        resolve(template(context));
                    }
                    else {
                        reject(new Error("Bot not found!"));
                    }
                }).catch(function (err) {
                    reject(err);
                });
            });
        });
    };
    return Dialog;
}());
exports.Dialog = Dialog;
